<?php

namespace Modules\Stock\Rules;

// @phpcs:ignore
use Helpers\Outil\Roles;

class StockLocal extends BaseRules
{
    /**
     * @return bool
     */
    // @phpcs:ignore
    public function gestion(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function visualiser(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function nouveauForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_STL_CRE');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function nouveau(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_STL_CRE');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifierForm(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_STL_MOD');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function modifier(): bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'ST_STL_MOD');
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function popupExport(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function exporter(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ligne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function getInformation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function getChampsSupplementaires(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function imprimerEtiquette(): bool
    {
        return true;
    }
}
